@font-face {
    font-family: 'Glyphicons Halflings';

    src: url('../fonts/glyphicons2/glyphicons-halflings-regular.eot');
    src: url('../fonts/glyphicons2/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/glyphicons2/glyphicons-halflings-regular.woff2') format('woff2'), url('../fonts/glyphicons2/glyphicons-halflings-regular.woff') format('woff'), url('../fonts/glyphicons2/glyphicons-halflings-regular.ttf') format('truetype'), url('../fonts/glyphicons2/glyphicons-halflings-regular.svg#glyphicons_halflingsregular') format('svg');
}

.glyphicon {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-size: 26px;
    z-index: 1000;
    cursor: pointer;
}

.glyphicon-home {
    font-size: 22px;
    margin-top: 2px;
}

.glyphicon-home:before {
    content: "\e021";
}

.glyphicon-plus-sign:before {
    content: "\e081";
}

.glyphicon-minus-sign:before {
    content: "\e082";
}

.glyphicon-bookmark:before {
    content: "\e044";
    color: #fff;
}

.glyphicon-chevron-left:before {
    content: "\e079";
}

.glyphicon-chevron-right:before {
    content: "\e080";
}

.glyphicon-save-file:before {
    content: "\e202";
}

.glyphicon-save:before {
    content: "\e166";
}

#viewer {
    font: 12px Tahoma;
    /*
    overflow: hidden;
    width: 740px;
    */
    position: relative;
    z-index: 20;

    /*position: fixed;*/
    top: 0;
    left: 0;
    width: 100%;
    height: 99%;
    /*overflow: scroll;*/
}

/* ******   viewer topbar    ******* */
#viewer .wrapper_main {
    /*   position: relative;
    width: 100%; */
}

#viewer #controls {
    background: #000;
    box-sizing: border-box;
    clear: both;
    height: 50px;
    margin-left: 3px;
    opacity: .15;
    overflow: hidden;
    padding: 10px;
    position: absolute;
    top: 0;
    width: 99.7%;
    width: calc(99.7% - 20px);
    width: -moz-calc(99.7% - 20px);
    width: -webkit-calc(99.7% - 20px);
    z-index: 2000;
}

#viewer #controls:hover {
    opacity: .7;
}

#viewer #controls, #viewer #controls * {
    transition: all .2s ease 0;
    -moz-transition: all .2s ease 0;
    -webkit-transition: all .2s ease 0;
    -o-transition: all .2s ease 0;
}

#viewer #controls input {
    border-radius: 3px;
    border: 0;
    font-size: 24px;
    margin: -4px 0 0;
    padding: 0 0 1px;
    text-align: right;
    width: 50px;
    color: #000;
}

#viewer #controls span {
    margin-right: 4px;
}

#viewer #controls div {
    margin: 0;
    padding: 0;
}

#viewer button {
    background: 0;
    cursor: pointer;
    float: left;
    margin-right: 0;
    opacity: .5;
}

#viewer button.js-add-to-cart {
    opacity: 1;
    background-color: #337ab7;
    float: none;
}

#viewer button.js-add-to-cart:hover {
    color: #fff;
    background-color: #204d74;
    border-color: #122b40;
}

#viewer button:hover {
    opacity: 1;
}

button {
    margin: 0;
    padding: 0;
    border: 0;
}

#viewer #controls img {
    width: 28px;
}

.visual-big img {
    vertical-align: top;
}

/* **********    doc_controls        ************ */
#viewer #controls .doc_controls {
    /*float: right;*/
}

#viewer #controls .doc_controls .ctrl-block {
    float: left;
    margin-right: 20px;
}

#viewer #controls .doc_controls button {
    margin: 0 5px;
}

/* ******** fullsize_control  ********* */

#viewer #controls .fullsize_control {
    /*float: right;*/
    margin-left: 20px;
    text-align: right;
}

/* **********  page_controls  ********** */

#viewer #controls .page_controls {
    /* float: left;
    text-align: right; */
    width: 300px;
    margin: auto;
}

#viewer #controls .page_controls .current {
    float: left;
}

#viewer #controls .page_controls .pages-numbers {
    color: #fff;
    float: left;
    font-size: 24px;
    margin: 0 5px 0 10px;
}

/* ************     back_controls    *************** */

#viewer .back_controls {
    float: right;
}

#viewer .back_controls button {
    color: #fff;
    font-size: 20px;
    margin: 0 30px 0 0;
}

#viewer .fullsize.active .fson {
    /*display: none;*/
}

#viewer .fullsize.active .fsoff {
    display: block;
}

/* ************* viewer leftbar *************** */
#viewer #preview, #viewer #bookmarks {
    background: #fff;
    float: left;
    overflow: hidden;
    width: 0;

    height: 100%;
    width: 130px;
    overflow: auto;
    display: block;

    position: relative;
    z-index: 100;
    left: -100px;
    width: 0;
}

#viewer #preview.active {
    left: 0;
    width: 130px;
}

#viewer #bookmarks.active {
    left: 0;
    width: 180px;
}


#viewer #preview #thumbnails_container, #viewer #bookmarks #bookmarks_container {
    margin: 10px 5px 10px 5px;
}

#viewer #bookmarks #bookmarks_container {
    padding-top: 30px;
}


#viewer #preview .thumbnail_container, #viewer #bookmarks .bookmarks_container  {
    color: #555555;
    cursor: pointer;
    float: left;
    margin: 2px 5px;
    opacity: .7;
}

#viewer #preview #thumbnail_container img {
    border: 1px #ddd solid;
    width: 75px;
}

#viewer #preview .thumbnail_container div  {
    background: #000;
    margin: -19px 0 0 0;
    opacity: .99;
    padding: 0;
    text-align: center;
    height: 19px;
    width: 77px;
}

#viewer #bookmarks .bookmarks_container div.thumb-bookmark  {
    color: #555555;
    background: #fcefa1;
    border: 1px solid #ccc;
    text-align: left;
    font-size: 15px;
    padding: 0;
    margin: 5px 0 15px 0;
    display: none;
}

#viewer #bookmarks .bookmarks_container div.active  {
    display: block;
}


#viewer #bookmarks .bookmarks_container div.thumb-bookmark-text {
    height: 50px;
    width: 150px;
}

#viewer #bookmarks .bookmarks_container div.thumb-bookmark-text > span {
    margin: 3px;
}


#viewer #bookmarks .bookmarks_container div.thumb-bookmark > div.thumb-bookmark-pagenum  {
    background: #000;
    margin: 0 0 0 0;
    opacity: .99;
    padding: 0;
    text-align: center;
    width: 150px;
}


#viewer #preview .thumbnail_container.active div, #viewer #preview .bookmarks_container.active div {
    background: #d00000;
}

#viewer #bookmarks .bookmarks_container div.thumb-bookmark-full{
    display: none;
}

/* **********   resizer  ********* */
#preview-handle {
    background: url(../img/reader/left_button.png) 0 0;
    border-left: 0;
    cursor: pointer;
    height: 40px;
    left: 3px;
    position: absolute;
    position: fixed;
    top: 27%;
    width: 18px;
    z-index: 100;
}

#preview-handle.active {
    background: url(../img/reader/left_button.png) 16px 0;
    left: 138px;
}

#preview-handle.active2 {
    background: url(../img/reader/left_button.png) 16px 0;
    left: 188px;
}


/* **********   resizer  ********* */
#bookmarks-handle {
    background: url(../img/reader/left_button.png) 0 0;
    border-left: 0;
    cursor: pointer;
    height: 40px;
    left: 3px;
    position: absolute;
    position: fixed;
    top: 35%;
    width: 18px;
    z-index: 100;
}

#bookmarks-handle.active {
    background: url(../img/reader/left_button.png) 16px 0;
    left: 138px;
}

#bookmarks-handle.active2 {
    background: url(../img/reader/left_button.png) 16px 0;
    left: 188px;
}


/* ********************* */
.zoom,
.chevrons .glyphicon {
    color: #fff;
    border-radius: 5px;
    background: grey;
    opacity: .6;
    padding: 10px;
}

.zoom:hover,
.chevrons .glyphicon:hover {
    opacity: 1;
}

/* *********  zoom  ********* */
.zoom {
    left: 40px;
    top: 70px;
    z-index: 100;
    position: fixed;
    padding: 0;
}

.zoom span {
    cursor: pointer;
    display: block;
    margin: 10px;
    font-size: 35px;
}

/* ******************* chevrons  ******************** */
.chevrons {
    position: fixed;
    z-index: 1000;
    top: 45%;
    width: 100%;

}

.chevrons .glyphicon {
    top: 40%;
    position: absolute;
}

.glyphicon-chevron-left {
    left: 40px;
}

.glyphicon-chevron-right {
    right: 100px;
}

/* ************* viewer rightbar *************** */
#side-buttons {
    background: #1E8CCF;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    display: none;
    /*height: 254px;*/
    margin-top: -127px;
    padding: 0 10px;
    position: fixed;
    right: 0;
    top: 50%;
    /* width: 30px; */
    width: 50px;
    z-index: 2000;
}

#side-buttons .info-btn,
#side-buttons .favor-btn,
#side-buttons .quote-btn,
#side-buttons .download-btn {
    border-bottom: 1px solid #39759c;
}

#side-buttons > div:hover .tooltip {
    display: block;
}

.quote-btn, .pdf-btn, .favor-btn, .info-btn, .i_author {
    cursor: pointer;
}

#side-buttons div {
    cursor: pointer;
    height: 50px;
    position: relative;
    width: 30px;
}

#side-buttons img {
    width: 30px;
}

#side-buttons div .img-holder {
    display: block;
    height: 100%;
    width: 100%;
}

#side-buttons .favor-btn,
.download-btn {
    text-align: center;
}

#side-buttons.fullsize .is_hidden_in_fullsize {
    display: none;
}

#side-buttons .is_hidden_in_fullsize {
    display: block;
}

#side-buttons.fullsize .is_visible_in_fullsize {
    display: block;
}

.glyphicon-bookmark {
    margin: 0 2px 0 0;
}

.glyphicon-bookmark,
.glyphicon-save {
    padding: 13px 0 0 0;
    font-size: 18px;
    color: #fff;
}

/* tooltip */
#side-buttons .tooltip {
    background: #000;
    border-radius: 3px;
    color: #fff;
    display: none;
    height: 35px;
    left: -160px;
    line-height: 34px;
    padding: 0 20px;
    position: absolute;
    text-align: center;
    top: 7px;
    width: 100px;
    opacity: .8;
}

#side-buttons .triangle-right {
    background: 0;
    border-bottom: 5px solid transparent;
    border-left: 5px solid #000;
    border-top: 5px solid transparent;
    bottom: 12px;
    height: 0;
    position: absolute;
    right: -5px;
    width: 0;
}

/* ************************** */
#modal_form {
    width: 660px;
    height: 380px; /* Рaзмеры дoлжны быть фиксирoвaны */
    border-radius: 5px;
    border: 3px #000 solid;
    background: #fff;
    position: fixed; /* чтoбы oкнo былo в видимoй зoне в любoм месте */
    top: 200px; /* oтступaем сверху 45%, oстaльные 5% пoдвинет скрипт */
    bottom: 0;
    left: 0; /* пoлoвинa экрaнa слевa */
    right: 0;
    margin: 0 auto;
    /* тут вся мaгия центрoвки css, oтступaем влевo и вверх минус пoлoвину ширины и высoты сooтветственнo =) */
    display: none; /* в oбычнoм сoстoянии oкнa не дoлжнo быть */
    opacity: 0; /* пoлнoстью прoзрaчнo для aнимирoвaния */
    z-index: 11115; /* oкнo дoлжнo быть нaибoлее бoльшем слoе */
    padding: 20px 10px;
}

/* Кнoпкa зaкрыть для тех ктo в тaнке) */
#modal_form #modal_close {
    width: 21px;
    height: 21px;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    display: block;
}

/* Пoдлoжкa */
#overlay {
    z-index: 11113; /* пoдлoжкa дoлжнa быть выше слoев элементoв сaйтa, нo ниже слoя мoдaльнoгo oкнa */
    position: fixed; /* всегдa перекрывaет весь сaйт */
    background-color: #000; /* чернaя */
    opacity: 0.8; /* нo немнoгo прoзрaчнa */
    width: 100%;
    height: 100%; /* рaзмерoм вo весь экрaн */
    top: 0;
    left: 0; /* сверху и слевa 0, oбязaтельные свoйствa! */
    cursor: pointer;
    display: none; /* в oбычнoм сoстoянии её нет) */
}

.button-anchor a {
    color: #fff;
}

/***************************/

.bookmark {
    right: 540px;
    top: 170px;
    z-index: 100;
    position: fixed;

    color: #fff;
    border-radius: 5px;
    background: grey;
    opacity: .6;
    padding: 10px;
}

#side-buttons {
    display: block;
}

#side-buttons div {
    border-bottom: 1px solid #39759c;
    text-align: center;
}

#side-buttons div:last-child {
    border: none;
}

#side-buttons .glyphicon {
    padding: 13px 0 0 0;
    font-size: 18px;
    color: #fff;
}

.webui-popover button {
    padding: 5px 20px;
    margin: 10px 10px 5px 0;
    border-radius: 5px;
}

.webui-popover ul {
    list-style-type: none;
    padding: 0;
}

.btn-lpanel.center {
    display: block;
}

.glyphicon-book:before {
    content: "\e043";
}

.glyphicon-align-center:before {
    content: "\e053";
}

.glyphicon-list:before {
    content: "\e056";
}

.btn {
    padding: 5px 20px;
    margin: 5px;
    border-radius: 5px;
}

.bookread-popup ul {
    font-size: 13px;
    font-family: "Helvetica Neue",helvetica,Arial,"Open Sans",sans-serif;
    color: #555555;
    margin: 0;
    padding: 1px 0 10px;
    text-align: left;
    list-style: outside none none;
    list-style-image: none;
    list-style-type: none;
}

.bookread-popup ul li > div {
    padding: 3px 0;
    cursor: pointer;
}

.bookread-popup ul li > div:hover {
    background-color: #1e8ccf;
    color: #ffffff;
}

.bookread-popup ul li > div img {
    position: relative;
    top: 3px;
    margin-right: 5px;
    padding: 0;
}

.bookread-popup ul li > div a:hover {
    color: #ffffff;
}

.btn-nav {
    text-decoration: underline;
}

.btn-nav:hover {
    cursor: pointer;
}

/* Popup Dialog */

#lean_overlay {
    position: fixed;
    z-index:100;
    top: 0;
    left: 0;

    height: 100%;
    width: 100%;

    background: #000;
    display: none;
}


/* Popup Styles*/
.popupContainer{
    position:absolute;
    width: 450px;
    height: auto;
    left: 45%;
    top: 80px;
    background: #FFF;
}

.popupHeader {
    font-size:16px;
    text-transform: uppercase;
}

.popupHeader {
    background:#F4F4F2;
    position:relative;
    padding:10px 20px;
    border-bottom: 1px solid #DDD;
    font-weight:bold;
}

.popupHeader .modal_close {
    position: absolute;
    right: 0;
    top:0;
    padding-top: 7px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 3px;
    background:#E4E4E2;
    cursor: pointer;
    color:#aaa;
    font-size:16px;
}

.popupBody {
    padding:20px;
}

ul.nav li a {
    cursor: pointer;
}

ul.nav li img {
    background-image: url("../img/reader/check_no.png");
    border: medium none;
    outline: medium none;
    position: relative;
    margin-right: 3px;
}

ul.nav li.checked img {
    background-image: url("../img/reader/check.png");
}

/* *****  BOTTOM LINKS ***** */

#reader-bottom-info {
    position: fixed;
    border: none;
    /* 13/07/2016 bottom: 26px; */
    width: calc(99.7% - 20px);     /* width: 100%;*/
    z-index: 30;
    /* background: #000 none repeat scroll 0 0;
    opacity: 0.15; */
    height: 0;
    background-color: #ffffff;
    font-size: 13px;
    font-family: "Helvetica Neue",helvetica,Arial,"Open Sans",sans-serif;
    font-weight: normal;
}

#reader-bottom-info.active {
    height: 200px;
    bottom: 0; /* 13/07/2016 bottom: 26px; */
    background-color: #ffffff;
    border: 1px solid silver;
}

#reader-bottom-info.active2 {
    bottom: 0; /* 13/07/2016 bottom: 26px; */
    border: 1px solid silver;
}


#reader-wrapper{
    overflow-y: scroll;
    height: 150px;
}

/* BOTTOM LINKS open-close button */


#updown-bottom-info {
    text-align: right;
    position: relative;
    top: -40px;
}

#updown-bottom-info > div.close-open {
    /* background: rgba(0, 0, 0, 0) url("../img/reader/updown_button.png") no-repeat; */
    height: 40px;
    width: 120px;
    display: inline-block;
    cursor: pointer;
    color: white;
    /* background-color: silver; */
    background-color: #1e8ccf;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    font-size: 22px;
    text-align: center;
    margin-right: 100px;
}

#updown-bottom-info > div.close-open > div {
    margin-top: 7px;
}

#reader-bottom-content {
    text-align: center;
    margin-bottom: 30px;
    overflow: hidden;
}

#reader-bottom-content ul {
    list-style-type: square;
    text-align: left;
    display: inline-block;
    margin: 0;
}

div.required label.control-label:after {
    content: " *";
    color: red;
}